#!/bin/bash -l

# LLsub ./submit_aec_qchem_calculations_LLsub.sh [2,6,8] -q spot-xeon-p8
# watch LLloadSpot

echo "============================================================"
echo "Job ID : $SLURM_JOB_ID"
echo "Job Name : $SLURM_JOB_NAME"
echo "Starting on : $(date)"
echo "Running on node : $SLURMD_NODENAME"
echo "Current directory : $(pwd)"
echo "============================================================"

echo "LLSUB_RANK $LLSUB_RANK"
echo "LLSUB_SIZE $LLSUB_SIZE"
sleep $LLSUB_RANK

source /home/gridsan/groups/RMG/Software/qchem/qcenv.sh

echo "Starting Guassian calculations..."
SubmitDir=`pwd`
cd $SubmitDir
for method_path in $SubmitDir/aec_calculations/wb97mv*; do

    echo "method_path $method_path"

    for spc_path in $method_path/*; do

        echo "spc_path $spc_path"
    
        for input_path in $spc_path/*.in; do

            echo "input_path $input_path"
            
            input=`basename $input_path .in`
            
            if [ -f $spc_path/$input.in ]; then
                if [ ! -f $spc_path/$input.tmp ]; then

                    cd $spc_path

                    mv $input.in $input.tmp
                    
                    ScratchDir=$TMPDIR/$USER/qchem/$SLURM_JOB_ID-$LLSUB_RANK-$input
                    echo "ScratchDir $ScratchDir"
                    mkdir -p $ScratchDir
                    chmod 750 $ScratchDir

                    if [ -d $ScratchDir ]; then

                        cd $ScratchDir
                        cp $spc_path/$input.tmp $input.in

                        echo "Running calculation..."
                        qchem -nt 4 $input.in &> $input.log
                        cp $input.log $spc_path/$input.log
                        
                        cd $SubmitDir
                        rm -rf $ScratchDir
                    fi
                fi
            fi
        done
    done
done






