#!/bin/bash -l

# LLsub ./submit_bac_gaussian_calculations_LLsub.sh [8,6,8] -q spot-xeon-p8
# watch LLloadSpot

echo "============================================================"
echo "Job ID : $SLURM_JOB_ID"
echo "Job Name : $SLURM_JOB_NAME"
echo "Starting on : $(date)"
echo "Running on node : $SLURMD_NODENAME"
echo "Current directory : $(pwd)"
echo "============================================================"

echo "LLSUB_RANK $LLSUB_RANK"
echo "LLSUB_SIZE $LLSUB_SIZE"
sleep $LLSUB_RANK

g16root=/home/gridsan/groups/RMG/Software/gaussian
export g16root=$g16root
. $g16root/g16/bsd/g16.profile

echo $PATH
echo $PYTHONPATH

SubmitDir=`pwd`

echo "Starting Guassian calculations..."

cd $SubmitDir
for method_path in $SubmitDir/bac_calculations/QG-*; do

    echo "method_path $method_path"

    for spc_path in $method_path/*; do

        echo "spc_path $spc_path"
    
        for input_path in $spc_path/*.gjf; do

            echo "input_path $input_path"
            
            input=`basename $input_path .gjf`
            
            if [ -f $spc_path/$input.gjf ]; then
                if [ ! -f $spc_path/$input.tmp ]; then

                    cd $spc_path

                    mv $input.gjf $input.tmp
                    
                    ScratchDir=$TMPDIR/$USER/gaussian/$SLURM_JOB_ID-$LLSUB_RANK-$input
                    GAUSS_SCRDIR=$ScratchDir 
                    export GAUSS_SCRDIR 
                    echo "GAUSS_SCRDIR : $GAUSS_SCRDIR"
                    mkdir -p $GAUSS_SCRDIR
                    chmod 750 $GAUSS_SCRDIR

                    if [ -d $ScratchDir ]; then

                        echo "Running calculation..."
                        $g16root/g16/g16 < $input.tmp &> $input.log
                        
                        cd $SubmitDir
                        rm -rf $ScratchDir
                    fi
                fi
            fi
        done
    done
done






