#!/bin/bash -l

# LLsub ./submit_bac_orca_calculations_LLsub.sh [8,6,8] -q spot-xeon-p8
# watch LLloadSpot

echo "============================================================"
echo "Job ID : $SLURM_JOB_ID"
echo "Job Name : $SLURM_JOB_NAME"
echo "Starting on : $(date)"
echo "Running on node : $SLURMD_NODENAME"
echo "Current directory : $(pwd)"
echo "============================================================"

echo "LLSUB_RANK $LLSUB_RANK"
echo "LLSUB_SIZE $LLSUB_SIZE"
sleep $LLSUB_RANK

#openmpi
ompi=/home/gridsan/groups/RMG/Software/ompi-3.1.4
PATH=$ompi/bin:$PATH
LD_LIBRARY_PATH=$ompi/lib:$ompi/etc:$LD_LIBRARY_PATH

#Orca
orcadir=/home/gridsan/groups/RMG/Software/orca_4_2_1_linux_x86-64_openmpi314
export PATH=$PATH:$orcadir
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$orcadir
echo "orcaversion"
which orca
echo $PATH

SubmitDir=`pwd`

echo "Starting Guassian calculations..."

cd $SubmitDir
for method_path in $SubmitDir/bac_calculations/QG-*; do

    echo "method_path $method_path"

    for spc_path in $method_path/*; do

        echo "spc_path $spc_path"
    
        for input_path in $spc_path/*.in; do

            echo "input_path $input_path"
            
            input=`basename $input_path .in`
            
            if [ -f $spc_path/$input.in ]; then
                if [ ! -f $spc_path/$input.tmp ]; then

                    cd $spc_path

                    mv $input.in $input.tmp
                    
                    ScratchDir=$TMPDIR/$USER/orca/$SLURM_JOB_ID-$LLSUB_RANK-$input
                    mkdir -p $ScratchDir

                    if [ -d $ScratchDir ]; then

                        cd $ScratchDir
                        cp $spc_path/$input.tmp $input.in

                        echo "Running calculation..."
                        $orcadir/orca $input.in &> $input.log
                        cp $input.log $spc_path/$input.log
                        
                        cd $SubmitDir
                        rm -rf $ScratchDir
                    fi
                fi
            fi
        done
    done
done






